Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		scummvm
Version:	1.2.0
Release:	1
License:	GNU/GPL
URL:		http://www.scummvm.org
Group:		Emulators
Summary:	Graphic adventure game interpreter.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources
Source0:	%{name}-%{version}.tar.bz2

# Patches
Patch0:		scummvm-icon.patch

BuildRequires: fluidsynth-devel 
BuildRequires: desktop-file-utils
BuildRequires: readline-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libmad-devel
BuildRequires: libmpeg2-devel
BuildRequires: libogg-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: SDL-devel
BuildRequires: zlib-devel

%description
ScummVM is an interpreter that will play graphic adventure games written for
LucasArts' SCUMM virtual machine (such as Day of the Tentacle and 
Monkey Island), Adventure Soft's Simon the Sorcerer 1 and 2, 
Revolution Software's Beneath a Steel Sky and Broken Sword 1 and 2,
Interactive Binary Illusions' Flight of the Amazon Queen,
Coktel Vision's Gobliiins, and Wyrmkeep's Inherit the Earth.

%post
update-desktop-database &> /dev/null || :
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
  %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null || :
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
  %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--datadir=%_datadir \
--enable-all-engines \
--disable-debug \
--enable-plugins \
--enable-mpeg2

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -m755 -D scummvm $RPM_BUILD_ROOT%_bindir/scummvm
install -m644 -D dists/scummvm.6 $RPM_BUILD_ROOT%_mandir/man6/scummvm.6
install -m644 -D icons/scummvm.svg $RPM_BUILD_ROOT%_datadir/icons/hicolor/scalable/apps/scummvm.svg
install -m644 -D gui/themes/scummmodern.zip $RPM_BUILD_ROOT%_datadir/scummvm/scummmodern.zip
install -m644 -D dists/pred.dic $RPM_BUILD_ROOT%_datadir/scummvm/pred.dic
install -m644 -D dists/engine-data/kyra.dat $RPM_BUILD_ROOT%_datadir/scummvm/kyra.dat
install -m644 -D dists/engine-data/lure.dat $RPM_BUILD_ROOT%_datadir/scummvm/lure.dat
install -m644 -D dists/engine-data/queen.tbl $RPM_BUILD_ROOT%_datadir/scummvm/queen.tbl
install -m644 -D dists/engine-data/sky.cpt $RPM_BUILD_ROOT%_datadir/scummvm/sky.cpt
install -m644 -D dists/engine-data/drascula.dat $RPM_BUILD_ROOT%_datadir/scummvm/drascula.dat
#install -m644 -D dists/scummvm.desktop $RPM_BUILD_ROOT%_applications/scummvm.desktop
desktop-file-install --vendor scummvm --dir=$RPM_BUILD_ROOT%_applications dists/scummvm.desktop

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LGPL NEWS README TODO
%{_bindir}/scummvm
%{_applications}/scummvm.desktop
%{_datadir}/icons/hicolor/scalable/apps/scummvm.svg
%{_mandir}/man6/scummvm.6.gz
%{_datadir}/scummvm/drascula.dat
%{_datadir}/scummvm/kyra.dat
%{_datadir}/scummvm/lure.dat
%{_datadir}/scummvm/pred.dic
%{_datadir}/scummvm/queen.tbl
%{_datadir}/scummvm/scummmodern.zip
%{_datadir}/scummvm/sky.cpt


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Mon May 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Mon Apr 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Wed Mar 04 2009 Christian Wasem <wasem@ccux-linux.de> 0.13.0-1
- Version update, added engines: saga2 and tinsel
* Fri Sep 19 2008 Christian Wasem <wasem@ccux-linux.de> 0.12.0-1
- Version update
* Sat Jun 21 2008 Christian Wasem <wasem@ccux-linux.de> 0.11.1-1
- Version update
* Tue Jan 31 2006 Christian Wasem <wasem@ccux-linux.de> 0.8.1-1
- Initial Release
